<?php
	/**
	 * @package     SP Soccer
	 * @author      JoomShaper http://www.joomshaper.com
	 * @copyright   Copyright (C) 2010 - 2016 JoomShaper. All rights reserved.
	 * @license     GNU General Public License version 2 or later; see LICENSE.txt
	 */

	defined('_JEXEC') or die('Restricted access');
?>

<div id="spsoccer" class="spsoccer view-spsoccer-player">
	<div class="spsoccer-player">

		<div class="spsoccer-row">
			<div class="spsoccer-player-basic spsoccer-col-md-4">
				<img class="splms-img-responsive" src="<?php echo $this->item->image; ?>" alt="<?php echo $this->item->title; ?>">
				<div class="tournament-header">
					<h2 class="course-title">
						<?php echo $this->item->title; ?>
						<br />
						<small><?php echo $this->item->position; ?></small>
					</h2>

					<div class="spsoccer-player-info-wrap">
						<div class="spsoccer-player-career">
							<ul class="spsoccer-player-info-list spsoccer-ul-list">
								<?php if($this->item->full_name){ ?>
									<li>
										<p class="spsoccer-item-title"><?php echo JText::_('COM_SOSOCCER_PLAYER_FULLNAME'); ?></p>
										<p><?php echo $this->item->full_name; ?></p>
									</li>
								<?php } ?>

								<?php if($this->item->dob != '0000-00-00'){ ?>
								<li>
									<p class="spsoccer-item-title"><?php echo JText::_('COM_SOSOCCER_PLAYER_DOB'); ?></p>
									<p><?php echo JHtml::date($this->item->dob, 'F j\<\s\u\p\>S\<\/\s\u\p\>, Y'); ?></p>
								</li>
								<?php } ?>

								<?php if($this->item->birth_place){?>
								<li>
									<p class="spsoccer-item-title"><?php echo JText::_('COM_SOSOCCER_PLAYER_BIRTH_PLACE'); ?></p>
									<p><?php echo $this->item->birth_place; ?></p>
								</li>
								<?php } ?>

								<?php if($this->item->height){?>
								<li>
									<p class="spsoccer-item-title"><?php echo JText::_('COM_SOSOCCER_PLAYER_HEIGHT'); ?></p>
									<p><?php echo $this->item->height; ?></p>
								</li>
								<?php } ?>

								<?php if($this->item->weight){?>
								<li>
									<p class="spsoccer-item-title"><?php echo JText::_('COM_SOSOCCER_PLAYER_WEIGHT'); ?></p>
									<p><?php echo $this->item->weight; ?></p>
								</li>
								<?php } ?>
							</ul>
						</div>
						<div class="spsoccer-player-social-profile">
							<ul>
								<?php if (!empty($this->item->facebook)) { ?>
									<li><a href="<?php echo $this->item->facebook ?>" target="_blank">
										<i class="sp-soccer-facebook"></i>
									</a></li>
								<?php } if (!empty($this->item->twitter)) { ?>
									<li><a href="<?php echo $this->item->twitter ?>" target="_blank">
										<i class="sp-soccer-twitter"></i>
									</a></li>
								<?php } if (!empty($this->item->linkedin)) { ?>
									<li><a href="<?php echo $this->item->linkedin ?>" target="_blank">
										<i class="sp-soccer-linkedin"></i>
									</a></li>
								<?php } if (!empty($this->item->g_plus)) { ?>
									<li><a href="<?php echo $this->item->g_plus ?>" target="_blank">
										<i class="sp-soccer-google-plus"></i>
									</a></li>
								<?php } if (!empty($this->item->youtube)) { ?>
									<li><a href="<?php echo $this->item->youtube ?>" target="_blank">
										<i class="sp-soccer-youtube"></i>
									</a></li>
								<?php } ?>
							</ul>
						</div>

					</div>
				</div>
			</div> <!-- /.spsoccer-col-md -->

			<div class="torunament-info spsoccer-col-md-8">
				<h3><?php echo JText::_('COM_SOSOCCER_PLAYER_CAREER'); ?></h3>

				<div class="spsoccer-row spsoccer-player-career-wrap">

					<div class="spsoccer-player-career-list-wrap spsoccer-col-xs-8 spsoccer-col-sm-8">
						<ul class="spsoccer-player-career-list spsoccer-ul-list">

							<?php if($this->item->total_matches){ ?>
							<li>
								<span class="spsoccer-item-title"><?php echo JText::_('COM_SOSOCCER_PLAYER_MATCHES'); ?>: </span>
								<span><?php echo $this->item->total_matches; ?></span>
							</li>
							<?php } ?>

							<?php if($this->item->total_goals){ ?>
							<li>
								<span class="spsoccer-item-title"><?php echo JText::_('COM_SOSOCCER_PLAYER_GOALS'); ?>: </span>
								<span><?php echo $this->item->total_goals; ?></span>
							</li>
							<?php } ?>

							<?php if($this->item->discipline){ ?>
							<li>
								<span class="spsoccer-item-title"><?php echo JText::_('COM_SOSOCCER_PLAYER_DISCIPLINE'); ?>: </span>
								<span><?php echo $this->item->discipline; ?></span>
							</li>
							<?php } ?>

							<?php if($this->item->passing){ ?>
							<li>
								<span class="spsoccer-item-title"><?php echo JText::_('COM_SOSOCCER_PLAYER_PASSING'); ?>: </span>
								<span><?php echo $this->item->passing; ?></span>
							</li>
							<?php } ?>

							<?php if($this->item->spsoccer_gameteam_id){ ?>
							<li>
								<span class="spsoccer-item-title"><?php echo JText::_('COM_SOSOCCER_PLAYER_CLUB'); ?>: </span>
								<span><?php echo $this->item->team->title; ?></span>
							</li>
							<?php } ?>

							<?php if($this->item->club_debut_date != '0000-00-00'){ ?>
								<li>
									<span class="spsoccer-item-title"><?php echo JText::_('COM_SOSOCCER_PLAYER_CLUB_DEBUT'); ?>: </span>
									<span><?php echo JHtml::date($this->item->club_debut_date, 'F j\<\s\u\p\>S\<\/\s\u\p\>, Y'); ?></span>
								</li>
							<?php } ?>

							<?php if($this->item->previous_team){ ?>
								<li>
									<span class="spsoccer-item-title"><?php echo JText::_('COM_SOSOCCER_PLAYER_PREV_CLUB'); ?>: </span>
									<span><?php echo $this->item->previous_team->title; ?></span>
								</li>
							<?php } ?>
						</ul>
					</div>  <!-- /.spsoccer-player-career-list-wrap -->

					<div class="spsoccer-player-big-info text-right spsoccer-col-xs-4 spsoccer-col-sm-4">
						<img class="splms-img-responsive" src="<?php echo $this->item->team->logo; ?>" alt="<?php echo $this->item->team->title; ?>">
						<span class="total-match">
							<?php echo $this->item->total_matches; ?>
						</span>
						<span><?php echo JText::_('COM_SOSOCCER_PLAYER_MATCHES_PLAYED'); ?></span>
					</div> <!-- /.spsoccer-player-big-info -->
				</div>

				<div class="spsoccer-player-description">
					<h3>Overview</h3>
					<div class="spsoccer-item-description">
						<?php echo $this->item->description; ?>
					</div>
				</div>
			</div> <!-- /.spsoccer-col-md -->

		</div> <!-- /.spsoccer-row -->

	</div> <!-- /.spsoccer-player -->
</div> <!-- /#spsoccer .spsoccer -->
